org.keycloak.admin.client.resource

## Interface ApplicationResource

-     public interface ApplicationResource

  Author:
    rodrigo.sasaki@icarros.com.br

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CredentialRepresentation` | `generateNewSecret()`
    `Set<String>` | `getAllowedOrigins()`
    `Map<String,Integer>` | `getApplicationSessionCount()`
    `String` | `getInstallationJbossXml()`
    `String` | `getInstallationJson()`
    `ProtocolMappersResource` | `getProtocolMappers()`
    `RoleMappingResource` | `getScopeMappings()`
    `CredentialRepresentation` | `getSecret()`
    `List<UserSessionRepresentation>` | `getUserSessions(Integer firstResult, Integer maxResults)`
    `void` | `logoutAllUsers()`
    `void` | `logoutUser(String username)`
    `void` | `pushRevocation()`
    `void` | `remove()`
    `void` | `removeAllowedOrigins(Set<String> originsToRemove)`
    `RolesResource` | `roles()`
    `ApplicationRepresentation` | `toRepresentation()`
    `void` | `update(ApplicationRepresentation applicationRepresentation)`
    `void` | `updateAllowedOrigins(Set<String> allowedOrigins)`

- - ### Method Detail

    - #### getProtocolMappers

          @Path(value="protocol-mappers")
          ProtocolMappersResource getProtocolMappers()

    - #### toRepresentation

          @GET
          @Produces(value="application/json")
          ApplicationRepresentation toRepresentation()

    - #### update

          @PUT
          @Consumes(value="application/json")
          void update(ApplicationRepresentation applicationRepresentation)

    - #### remove

          @DELETE
          void remove()

    - #### getAllowedOrigins

          @GET
          @Path(value="allowed-origins")
          @Produces(value="application/json")
          Set<String> getAllowedOrigins()

    - #### updateAllowedOrigins

          @PUT
          @Path(value="allowed-origins")
          @Consumes(value="application/json")
          void updateAllowedOrigins(Set<String> allowedOrigins)

    - #### removeAllowedOrigins

          @DELETE
          @Path(value="allowed-origins")
          @Consumes(value="application/json")
          void removeAllowedOrigins(Set<String> originsToRemove)

    - #### generateNewSecret

          @POST
          @Path(value="client-secret")
          @Produces(value="application/json")
          CredentialRepresentation generateNewSecret()

    - #### getSecret

          @GET
          @Path(value="client-secret")
          @Produces(value="application/json")
          CredentialRepresentation getSecret()

    - #### getInstallationJbossXml

          @GET
          @Path(value="installation/jboss")
          @Produces(value="application/xml")
          String getInstallationJbossXml()

    - #### getInstallationJson

          @GET
          @Path(value="installation/json")
          @Produces(value="application/json")
          String getInstallationJson()

    - #### logoutAllUsers

          @POST
          @Path(value="logout-all")
          void logoutAllUsers()

    - #### logoutUser

          @POST
          @Path(value="logout-user/{username}")
          void logoutUser(@PathParam(value="username")
                                  String username)

    - #### getApplicationSessionCount

          @Path(value="session-count")
          @GET
          @Produces(value="application/json")
          Map<String,Integer> getApplicationSessionCount()

    - #### getUserSessions

          @Path(value="user-sessions")
          @GET
          @Produces(value="application/json")
          List<UserSessionRepresentation> getUserSessions(@QueryParam(value="first")
                                                                          Integer firstResult,
                                                                          @QueryParam(value="max")
                                                                          Integer maxResults)

    - #### pushRevocation

          @POST
          @Path(value="push-revocation")
          void pushRevocation()

    - #### getScopeMappings

          @Path(value="/scope-mappings")
          RoleMappingResource getScopeMappings()

    - #### roles

          @Path(value="/roles")
          RolesResource roles()

Copyright © 2015. All rights reserved.